org.apache.geode.cache.configuration

## Class ServerType

- java.lang.Object
- - org.apache.geode.cache.configuration.ServerType

- Direct Known Subclasses:
    CacheConfig.CacheServer

      @Experimental
      public class ServerType
      extends java.lang.Object

  Java class for server-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="server-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="group" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
               <element name="client-subscription" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="eviction-policy" use="required">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                             <enumeration value="entry"/>
                             <enumeration value="mem"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                       <attribute name="capacity" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="overflow-directory" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="custom-load-probe" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="bind-address" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="hostname-for-clients" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="max-connections" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="maximum-message-count" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="maximum-time-between-pings" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="max-threads" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="message-time-to-live" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="notify-by-subscription" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="port" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="load-poll-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServerType.ClientSubscription` Java class for anonymous complex type.
    `static class` | `ServerType.CustomLoadProbe` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `bindAddress`
    `protected ServerType.ClientSubscription` | `clientSubscription`
    `protected ServerType.CustomLoadProbe` | `customLoadProbe`
    `protected java.util.List<java.lang.String>` | `group`
    `protected java.lang.String` | `hostnameForClients`
    `protected java.lang.String` | `loadPollInterval`
    `protected java.lang.String` | `maxConnections`
    `protected java.lang.String` | `maximumMessageCount`
    `protected java.lang.String` | `maximumTimeBetweenPings`
    `protected java.lang.String` | `maxThreads`
    `protected java.lang.String` | `messageTimeToLive`
    `protected java.lang.Boolean` | `notifyBySubscription`
    `protected java.lang.String` | `port`
    `protected java.lang.String` | `socketBufferSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBindAddress()` Gets the value of the bindAddress property.
    `ServerType.ClientSubscription` | `getClientSubscription()` Gets the value of the clientSubscription property.
    `ServerType.CustomLoadProbe` | `getCustomLoadProbe()` Gets the value of the customLoadProbe property.
    `java.util.List<java.lang.String>` | `getGroup()` Gets the value of the group property.
    `java.lang.String` | `getHostnameForClients()` Gets the value of the hostnameForClients property.
    `java.lang.String` | `getLoadPollInterval()` Gets the value of the loadPollInterval property.
    `java.lang.String` | `getMaxConnections()` Gets the value of the maxConnections property.
    `java.lang.String` | `getMaximumMessageCount()` Gets the value of the maximumMessageCount property.
    `java.lang.String` | `getMaximumTimeBetweenPings()` Gets the value of the maximumTimeBetweenPings property.
    `java.lang.String` | `getMaxThreads()` Gets the value of the maxThreads property.
    `java.lang.String` | `getMessageTimeToLive()` Gets the value of the messageTimeToLive property.
    `java.lang.String` | `getPort()` Gets the value of the port property.
    `java.lang.String` | `getSocketBufferSize()` Gets the value of the socketBufferSize property.
    `java.lang.Boolean` | `isNotifyBySubscription()` Gets the value of the notifyBySubscription property.
    `void` | `setBindAddress(java.lang.String value)` Sets the value of the bindAddress property.
    `void` | `setClientSubscription(ServerType.ClientSubscription value)` Sets the value of the clientSubscription property.
    `void` | `setCustomLoadProbe(ServerType.CustomLoadProbe value)` Sets the value of the customLoadProbe property.
    `void` | `setHostnameForClients(java.lang.String value)` Sets the value of the hostnameForClients property.
    `void` | `setLoadPollInterval(java.lang.String value)` Sets the value of the loadPollInterval property.
    `void` | `setMaxConnections(java.lang.String value)` Sets the value of the maxConnections property.
    `void` | `setMaximumMessageCount(java.lang.String value)` Sets the value of the maximumMessageCount property.
    `void` | `setMaximumTimeBetweenPings(java.lang.String value)` Sets the value of the maximumTimeBetweenPings property.
    `void` | `setMaxThreads(java.lang.String value)` Sets the value of the maxThreads property.
    `void` | `setMessageTimeToLive(java.lang.String value)` Sets the value of the messageTimeToLive property.
    `void` | `setNotifyBySubscription(java.lang.Boolean value)` Sets the value of the notifyBySubscription property.
    `void` | `setPort(java.lang.String value)` Sets the value of the port property.
    `void` | `setSocketBufferSize(java.lang.String value)` Sets the value of the socketBufferSize property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### group

          protected java.util.List<java.lang.String> group

    - #### clientSubscription

          protected ServerType.ClientSubscription clientSubscription

    - #### customLoadProbe

          protected ServerType.CustomLoadProbe customLoadProbe

    - #### bindAddress

          protected java.lang.String bindAddress

    - #### hostnameForClients

          protected java.lang.String hostnameForClients

    - #### maxConnections

          protected java.lang.String maxConnections

    - #### maximumMessageCount

          protected java.lang.String maximumMessageCount

    - #### maximumTimeBetweenPings

          protected java.lang.String maximumTimeBetweenPings

    - #### maxThreads

          protected java.lang.String maxThreads

    - #### messageTimeToLive

          protected java.lang.String messageTimeToLive

    - #### notifyBySubscription

          protected java.lang.Boolean notifyBySubscription

    - #### port

          protected java.lang.String port

    - #### socketBufferSize

          protected java.lang.String socketBufferSize

    - #### loadPollInterval

          protected java.lang.String loadPollInterval

  - ### Constructor Detail

    - #### ServerType

          public ServerType()

  - ### Method Detail

    - #### getGroup

          public java.util.List<java.lang.String> getGroup()

      Gets the value of the group property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the group property.

      For example, to add a new item, do as follows:

           getGroup().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getClientSubscription

          public ServerType.ClientSubscription getClientSubscription()

      Gets the value of the clientSubscription property.
      Returns:
        possible object is `ServerType.ClientSubscription`

    - #### setClientSubscription

          public void setClientSubscription(ServerType.ClientSubscription value)

      Sets the value of the clientSubscription property.
      Parameters:
        `value` - allowed object is `ServerType.ClientSubscription`

    - #### getCustomLoadProbe

          public ServerType.CustomLoadProbe getCustomLoadProbe()

      Gets the value of the customLoadProbe property.
      Returns:
        possible object is `ServerType.CustomLoadProbe`

    - #### setCustomLoadProbe

          public void setCustomLoadProbe(ServerType.CustomLoadProbe value)

      Sets the value of the customLoadProbe property.
      Parameters:
        `value` - allowed object is `ServerType.CustomLoadProbe`

    - #### getBindAddress

          public java.lang.String getBindAddress()

      Gets the value of the bindAddress property.
      Returns:
        possible object is `String`

    - #### setBindAddress

          public void setBindAddress(java.lang.String value)

      Sets the value of the bindAddress property.
      Parameters:
        `value` - allowed object is `String`

    - #### getHostnameForClients

          public java.lang.String getHostnameForClients()

      Gets the value of the hostnameForClients property.
      Returns:
        possible object is `String`

    - #### setHostnameForClients

          public void setHostnameForClients(java.lang.String value)

      Sets the value of the hostnameForClients property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMaxConnections

          public java.lang.String getMaxConnections()

      Gets the value of the maxConnections property.
      Returns:
        possible object is `String`

    - #### setMaxConnections

          public void setMaxConnections(java.lang.String value)

      Sets the value of the maxConnections property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMaximumMessageCount

          public java.lang.String getMaximumMessageCount()

      Gets the value of the maximumMessageCount property.
      Returns:
        possible object is `String`

    - #### setMaximumMessageCount

          public void setMaximumMessageCount(java.lang.String value)

      Sets the value of the maximumMessageCount property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMaximumTimeBetweenPings

          public java.lang.String getMaximumTimeBetweenPings()

      Gets the value of the maximumTimeBetweenPings property.
      Returns:
        possible object is `String`

    - #### setMaximumTimeBetweenPings

          public void setMaximumTimeBetweenPings(java.lang.String value)

      Sets the value of the maximumTimeBetweenPings property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMaxThreads

          public java.lang.String getMaxThreads()

      Gets the value of the maxThreads property.
      Returns:
        possible object is `String`

    - #### setMaxThreads

          public void setMaxThreads(java.lang.String value)

      Sets the value of the maxThreads property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessageTimeToLive

          public java.lang.String getMessageTimeToLive()

      Gets the value of the messageTimeToLive property.
      Returns:
        possible object is `String`

    - #### setMessageTimeToLive

          public void setMessageTimeToLive(java.lang.String value)

      Sets the value of the messageTimeToLive property.
      Parameters:
        `value` - allowed object is `String`

    - #### isNotifyBySubscription

          public java.lang.Boolean isNotifyBySubscription()

      Gets the value of the notifyBySubscription property.
      Returns:
        possible object is `Boolean`

    - #### setNotifyBySubscription

          public void setNotifyBySubscription(java.lang.Boolean value)

      Sets the value of the notifyBySubscription property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getPort

          public java.lang.String getPort()

      Gets the value of the port property.
      Returns:
        possible object is `String`

    - #### setPort

          public void setPort(java.lang.String value)

      Sets the value of the port property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSocketBufferSize

          public java.lang.String getSocketBufferSize()

      Gets the value of the socketBufferSize property.
      Returns:
        possible object is `String`

    - #### setSocketBufferSize

          public void setSocketBufferSize(java.lang.String value)

      Sets the value of the socketBufferSize property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLoadPollInterval

          public java.lang.String getLoadPollInterval()

      Gets the value of the loadPollInterval property.
      Returns:
        possible object is `String`

    - #### setLoadPollInterval

          public void setLoadPollInterval(java.lang.String value)

      Sets the value of the loadPollInterval property.
      Parameters:
        `value` - allowed object is `String`